LINUX.ORG.RU

[Debian] Собирание пакета последнего devel-релиза wine в Squeeze


0

1

Есть желание установить последнюю версию wine, но поскольку в официальном репозитории бинарные пакеты ограничиваются версией 1.1.4x, то остается только сборка с исходников. Но make install не нравится по многим причинам, ИМХО, более корректно создать deb-пакет. Тут-то и начались проблемы:

* Согласно статье на официальном вики (http://wiki.winehq.org/APTRepository) всё можно легко сделать, добавив только репозиторий с исходниками wine, но я не нашёл такового с исходным кодом wine 1.3.x. Может речь шла об официальных дебиновских репах, т.е. установить зависимости, необходимые для сборки пакета http://packages.debian.org/source/squeeze/wine, а потом подсунуть новые исходники? Если да, то как?

* На одной конференции посоветовали

Проще всего качнуть оригинальный сорцовый пакет, через dget, в результате у тебя появится директория wine-* с сорцами и спеками в директории debian, вот эту директорию тебе нужно скопировать в новое дерево сорцов, которое ты скачал с сорсфоржа и выполнить в корне сорцов команду debuild или dpkg-buildpackage

dget http://ftp.de.debian.org/debian/pool/main/w/wine/wine_1.0.1-3.dsc , cd wine-* && debuild - uc -us -b

Насколько это корректное решение в плане зависимостей, корректной установки etc?

Что вы порекомендуете?

P.S, Система Debian GNU/Linux Squeeze amd64.

Ответ на: комментарий от Chaser_Andrey

Тогда можно попробовать apt-get source wine, оттуда взять директорию debian и скопировать в директорию с исходниками последнего wine, после чего попробовать fakeroot dpkg-buildbackage debian/rules

AITap ★★★★★ ()

Теоретически для обновления src-пакета из апстримового тарбола есть uupdate, но на практике оно обычно не работает.
Хотя попробовать можно.

nnz ★★★★ ()
Ответ на: комментарий от nnz

> но на практике оно обычно не работает

У меня из 10 раз только один раз были проблемы. Это относить к «обычно» ?
ps: Видимо, у нас разная практика.

elipse ★★★ ()

Ещё нашел сверхинтересную программу CheckInstall, которая может генерировать различные пакеты на основе команды make install. Какие подводные камни могут быть с ней?

Chaser_Andrey ★★★★★ ()

Ядрышко сначала обнови, иначе вайн будет падать на играх только в путь (если он тебе для этого нужен).

Deleted ()
Ответ на: комментарий от Chaser_Andrey

Уже да. По крайней мере у меня с вайнами новее где-то примерно 1.1.31 через некоторое время монитор выдаёт «нет сигнала» и привет %)

Deleted ()

прежде чем делать что-то, посмотрите, может это уже кто-то сделал до вас?

сорцы

бинарный пакет для sid, но в случае с вайном, думаю проблем с зависимостями не будет:

соответствующий репозиторий:

deb http://frickelplatz.de/debian sid main contrib non-free

полезная страничка

lazyklimm ★★★★★ ()
Ответ на: комментарий от Deleted

+1 Помогла установка «старого» вайна из реп сквизи

aydar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.